Bug 1271805 - Review Request: golang-github-lpabon-godbc - Design by contract for Go
Review Request: golang-github-lpabon-godbc - Design by contract for Go
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1272248
  Show dependency treegraph
 
Reported: 2015-10-14 14:55 EDT by Luis Pabón
Modified: 2016-11-08 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 15:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jchaloup: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Luis Pabón 2015-10-14 14:55:23 EDT
Spec URL: https://lpabon.fedorapeople.org/reviews/golang-github-lpabon-godbc/golang-github-lpabon-godbc.spec

SRPM URL: https://lpabon.fedorapeople.org/reviews/golang-github-lpabon-godbc/golang-github-lpabon-godbc-1.0.1-1.git9577782.fc22.src.rpm

Description: Design by contract for Go

Fedora Account System Username: lpabon

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11447651

$ rpmlint golang-github-lpabon-godbc-1.0.1-1.git9577782.fc22.src.rpm golang-github-lpabon-godbc-devel-1.0.1-1.git9577782.fc22.noarch.rpm golang-github-lpabon-godbc-unit-test-devel-1.0.1-1.git9577782.fc22.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jan Chaloupka 2015-10-15 09:16:52 EDT
Upstream URL: https://github.com/lpabon/godbc

Summary:
- license OK
- list of provides ok, no bundled deps
- only one test, passing
- list of [Build]Requires ok
- package name and summary ok
- devel subpackage provide, can be [B]R by other golang projects
- unit-test provided as well (for future CI testing)

Spec files conforms to the current packaging guidelines
Comment 2 Fedora Update System 2015-10-23 00:29:52 EDT
golang-github-lpabon-godbc-1.0.1-1.git9577782.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d7fdfc61d9
Comment 3 Fedora Update System 2015-10-23 00:30:35 EDT
golang-github-lpabon-godbc-1.0.1-1.git9577782.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b8ec475245
Comment 4 Fedora Update System 2015-10-23 00:31:13 EDT
golang-github-lpabon-godbc-1.0.1-1.git9577782.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14325ead01
Comment 5 Fedora Update System 2015-10-24 08:06:31 EDT
golang-github-lpabon-godbc-1.0.1-1.git9577782.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-lpabon-godbc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14325ead01
Comment 6 Fedora Update System 2015-10-26 14:28:14 EDT
golang-github-lpabon-godbc-1.0.1-1.git9577782.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-lpabon-godbc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b8ec475245
Comment 7 Fedora Update System 2015-10-26 17:20:44 EDT
golang-github-lpabon-godbc-1.0.1-1.git9577782.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-lpabon-godbc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d7fdfc61d9
Comment 8 Fedora Update System 2015-11-04 15:53:55 EST
golang-github-lpabon-godbc-1.0.1-1.git9577782.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-04 17:22:31 EST
golang-github-lpabon-godbc-1.0.1-1.git9577782.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.